<?xml version="1.0" encoding="utf-8"?>
<taskrunner name="desktop.shortcuts" version="1.1" date="2008-11-23" maxthreads="1">


  <includes>
    <file name="vida.install.settings.xml" />
  </includes>

 
  <tasks>

    <foreach enum="desktop.shortcuts">
      
      <task name="create.desktop.shortcut" typename="@CreateDesktopShortcut" allowMultipleInstances="true">
        <errormessage>
          Could not create desktop shortcut $[desktop.shortcuts:key]
        </errormessage>
        
        <parameters>
          <parameter name="folders" value="$[desktop.shortcuts:folders]"/>
          <parameter name="target.path" value="$[desktop.shortcuts:target]"/>
          <parameter name="arguments" value="$[desktop.shortcuts:arguments]"/>
          <parameter name="link.name" value="$[desktop.shortcuts:key]"/>
          <parameter name="icon.fullpath" value="$[desktop.shortcuts:icon]"/>
          <parameter name="workingdirectory" value="$[desktop.shortcuts:workingdirectory]"/>
        </parameters>
      </task>

      
      <task name="acl.link" condition="$[desktop.shortcuts:addAclAllUsersDesktopShortcut]=true" allowMultipleInstances="true">
        <description>
          Grants FullControl for group Users to the desktop shortcut.
        </description>
        <dependencies list="create.desktop.shortcut"/>
        <subtasks filename="vida.accesscontrol.xml">
          <parameters>
            <parameter name="fullpath" value="${windows.folders.desktop.allusers}\$[desktop.shortcuts:key].lnk"/>
          </parameters> 
        </subtasks>
      </task>
   
    </foreach>

    <task name="acl.programs">
      <description>
        Grants FullControl for group Users to the Programs folder where the desktop shortcuts are stored. 
      </description>
      <dependencies list="create.desktop.shortcut"/>
      <subtasks filename="vida.accesscontrol.xml">
        <parameters>
          <parameter name="fullpath" value="${windows.folders.programs.allusers}\${programs.subfolder}"/>
        </parameters>
      </subtasks>
    </task>
    
  </tasks>
</taskrunner>